Method: logTypes.legacySubmitParserExtension

Full name: projects.locations.instances.logTypes.legacySubmitParserExtension

logTypes.legacySubmitParserExtension creates validates and then makes the extension live.

HTTP request


POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}:legacySubmitParserExtension

Path parameters

Parameters
parent

string

Required. The parent resource where this parser will be created. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logtype}

Request body

The request body contains data with the following structure:

JSON representation
{
  "parserExtension": {
    object (ParserExtension)
  }
}
Fields
parserExtension

object (ParserExtension)

Required. The parser extension to create.

Response body

If successful, the response body contains an instance of ParserExtension.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.parserExtensions.legacySubmitParserExtension

For more information, see the IAM documentation.